﻿input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


body {
    overflow-x: hidden;
}

.mainContainer {
    background-color: #FBeafe;
    height: auto;
    padding: 5%;
}


.rowStyling {
    display: flex;
    justify-content: center;
}


.staySignedInTxt {
    font-size: 0.7em;
    font-weight: 600;
    font-family: 'Inter';
}

.card__Subtitle {
    font-size: 0.8em;
    font-family: 'Inter';
}
.card__MainTitle {
    font-weight: 600;
    font-family: 'Inter';
    letter-spacing: -1px;
    color: #31354A;
    margin-bottom: 0;
}

.inputLblCards {
    color: #31354A;
    font-weight: 700;
    padding-bottom: 2%;
    font-size: 0.9em;
    font-family: 'Inter';
}


.form-control:focus {
    border-color: #b06cba;
    box-shadow: 0 0 0 0.25rem rgb(157 72 169 / 25%);
}

.field-validation-valid {
    display: none;
}
.field-validation-error {
    display:none;
}
/* Sign in */
.loginCard {
    width: 45%;
    background-color: white;
    padding: 5%;
    border-radius: 4px;
}

.txtForgotPassword {
    font-size: 0.7em;
    font-family: 'Inter';
    font-weight: 800;
    color: #A563AE;
    cursor: pointer;
}

.singInBtn {
    width: 70%;
    min-height: 50px;
    border: none;
    background-color: #9D48A9;
    border-radius: 4px;
    color: white;
    font-weight: 400;
    font-family: 'Inter';
}

.signUpTxt {
    font-weight: 600;
    font-family: 'Inter';
    color: #008Dab;
    cursor:pointer;
    text-decoration:none;
}
.signUpTxt:hover {
    color: #008Dab;

}

.signupContainer {
    font-size: 0.9em;
    cursor: default;
}



/*New Account*/


.mainContainerNewAccount {
    background-color: #FBeafe;
    height: auto;
    padding: 3% 5%;
    margin-top:2%;
}

.newAccountCrd .card__Subtitle {
    font-size:0.9em;
}

.card__MainTxt {
    font-size: 1em;
    font-weight: 500;
    font-family: 'Inter';
    line-height: 180%;
}
.loginTxt {
    font-weight:700;
    color:#008DAB;
    cursor:pointer;
    text-decoration:none;
}

.loginTxt:hover {
    color: #008DAB;
}

.mainTitleDot {
    color: #9D48A9;
    font-size: 1.5em;
}

#form2 {
    max-height: 1050px;
}


.cardTitles_Container {
    text-align: center;
}

.newAccountCrd {
    width: 49%;
    height: auto;
    font-size: 16px;
    font-weight: 300;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    padding: 4% 4%;
    transition: opacity .5s ease, transform .5s;
    min-height:  885px;
    min-height: 885px;
    border-radius: 4px;
}

.newAccountCrd-left {
    transform: translateX(-400px);
    opacity: .0;
}

.newAccountCrd .form-control {
    padding: 0.2rem 0.4rem;
    line-height:1;
}


.newAccountCrd  input {
    font-size: 1.2em;
}
.newAccounCrdPersonalDetail {
    width: 49%;
    height: auto;
    font-size: 16px;
    font-weight: 300;
    padding: 1% 4%;
    position: relative;
    top: -850px;
    left: 400px;
    opacity: 0;
    transition: all .5s ease;
    background-color: white;
    margin-left: auto;
    margin-right: auto;
    min-height:880px;
    max-height: 880px;
    border-radius: 4px;
}

.newAccounCrdPersonalDetail-left {
    transform: translateX(-400px);
    opacity: 1;
}

.newAccounCrdPersonalDetail-left .form-control {
    padding: 0.2rem 0.4rem;
    line-height: 1;
}

.newAccounCrdPersonalDetail input {
font-size:1.2em;
}


.newAccounCrdPersonalDetail .card__MainTitle {
    position: absolute;
}

.card__SubtitleContainer{

    margin-top:10%;
}

.validationContainerFirstView {
    min-height: 106px;
    max-height: 106px;
}

#errorList li:before {
    content: '\f057';
    font-family: 'Font Awesome 5 Pro';
    color: #EB4747;
    margin-right: 2%;
}
#errorList li {
    font-size: 1em;
    color: #EB4747;
    text-align: center;
    font-weight: 400;
}

.form-signup-down {
    top: 0px;
    opacity: 0;
}

.btnStyleAccount {
    width: 70%;
    min-height: 50px;
    border: none;
    background-color: #9D48A9;
    border-radius: 4px;
    color: white;
    font-weight: 400;
    font-family: 'Inter';
    text-align: center;
    line-height: 50px;
    font-size: 1.5em;
    cursor:pointer;
}

.validationContainer {
    text-align:center !important;
}
.validation-summary-valid {
    min-height: 60px;
}
.validation-summary-errors {
    font-size: 0.8em;
    color: #EB4747;
    font-weight: 500;
    text-align: left;
    font-family: 'Inter';
    min-height: 60px;
}


.validation-summary-valid ul li {
    font-size: 0.9em;
    color: #EB4747;
    font-family: 'Inter';
    font-weight:500;
}
.validation-summary-valid ul li:before{
    content: '\f057';
    font-family: 'Font Awesome 5 Pro';
    color: #EB4747;
    margin-right: 2%;
}
.backIcon {
    margin-top: auto;
    margin-bottom: auto;
    padding-right: 98%;
    font-size: 2em;
}

.backIcon i {
    cursor: pointer;
    padding-top: 4%;
    color: #008DAB ;
    position: fixed;
}

.validation-summary-errors ul li::before {
    content: '\f057';
    font-family: 'Font Awesome 5 Pro';
    color: #EB4747;
    margin-right: 2%;
}

.checkbocTerms{
    font-size:0.8em;
}
.checkboxesTerms {
    margin-right:5%;
}

#errorMsgID:before 
{
    content: '\f057';
    font-family: 'Font Awesome 5 Pro';
    color: #EB4747;
    margin-right: 2%;
}

#errorMsgID {
    color: #EB4747;
    font-weight: 600;
    font-size: 0.9em;
    font-family: 'Inter';
    display:none;

}
/*Account Settings*/

.accountSettingsCont {
    display: flex;
}
.accountSettingsMobileCont {
    display:none;
}
.accountMainHeading {
    border-bottom: solid slategrey 2px;
}
.accountMainHeading h5 {
    color:#3A3E50;
}

.accountFormsPadding {
    padding-left:7%;
    padding-right:7%;
}
.userSettings {
    padding: 1%;
    font-size: 1em;
    margin-top: 21%;
}


.userSettings li {
    margin-bottom: 18%;
    padding-bottom: 6%;
    cursor: pointer;
    font-family: 'Inter';
    font-weight: 500;
    color: slategrey;
    border-bottom: solid #9D48A9 1.5px;
    font-size: 0.85em;
}

.userSettings li:hover {
    color: #008DAB !important;

}

.userSettingMobile {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.userSettingMobile li {
    color:lightslategray;
}
.mobileTitles {
    font-size: 1em;
    font-family: 'Inter';
    color: #3A3E50;
    font-weight: 600;
}


.partialSetting {
    margin-top: 3%;
}

.active {
    color: #008DAB !important;
}

.staticDetails {
    color: #3A3E50;
    font-family: 'Inter';
}

.userDetails {
    color: #9D48A9;
    font-family: 'Inter';
    font-weight: 700;
    font-size: 0.7em;
}


.FrmStyle {
    background-color: white;
    border-radius: 30px;
    padding-top: 5%;
    padding-bottom: 5%;
    font-family: 'Inter';
}

.FrmStyle .form-control {
    border-radius: 10px;
}
#changePasswordFrm .form-control {
    border-radius: 10px;
}

#updateUserDetails__Form .form-control {
    border-radius:10px;
}


#updateDeliveryAddressFrm .form-control {
    border-radius: 10px;
}

.defaultAddressTxt {
    font-size: 0.8em;
}

.promotionMainTxt {
    text-align: center;
    line-height: 200%;
    font-weight: 600;
    color: #3A3E50;
}

.subTxtPromotionalMaterial {
    font-size:0.8em;
}

.btnUpdateDetailsStyle {
    width: 225px;
    padding: 1% 3%;
    border: none;
    background-color: #9D48A9;
    border-radius: 10px;
    font-family: 'Inter';
    color: white;
    font-size: 0.9em;
    font-weight: 600;
}

/*Orders Completed*/
.StockTxt {
    color: #EB4747;
}

.imgPickupDelivery {
    width: 50px;
    height: auto;
}

.processedOrderContainer {
    max-height: 400px;
    overflow: auto;
    overflow-y: scroll;
    overflow-x: hidden;
    box-shadow: rgb(50 50 93 / 25%) 0px 6px 12px -2px, rgb(0 0 0 / 30%) 0px 3px 7px -3px;
    border: solid #513756 2px;
    border-radius: 5px;
}

.order-container {
    background-color: white;
    padding: 4%;
    border-bottom: 1px solid slategrey;
    text-align:center;
}

.order-container a {
    margin-left: 10%;
    color: #008DAB;

}

.orderDetailsContainer {
    margin-top: 5%;
    background-color: #A563AE;
    padding: 3% 3%;
    border-radius: 15px;
    color: white;
    font-family: 'Inter';
}

.orderDetailsImportantTxt {
    font-weight:600;
}

.imgProduct {
    display: block;
    height: 123px;

    min-height: 132px;
    min-width: 115px;
    width: 70%;
    object-fit: contain;
    margin-left:0;
    margin-top:auto;
    margin-right:auto;
    margin-bottom:auto;
}

.product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
    border: 1px solid #D5D5D5;
    padding: 16px 8px;
    width: 48px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor:pointer;
}

.product-cards__product-card__count {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 22px;
    margin-bottom: 23px;
    display: flex;
    color: #3A3E50;
    line-height: 32px;
}


.product-cards__product-card__count__items-current input {
    width: 100%;
    width: 100%;
    text-align: center;
    border: none;
    outline: none !important;
    font-family: Inter, sans-serif;
    font-weight: 600;
    color: #3A3E50;
    font-size: 0.9em;
}
.addToCart_OfferDeatils {
    background-color: #A563AE;
    color: white;
    width: 150px;
    height: 46px;
    line-height: 46px;
    text-align: center;
    border-radius: 7px;
    font-weight: 400;
    font-size: 0.9em;
    font-family: 'Inter';
    cursor:pointer;
}

.qtyPoTxt {
    font-size:0.7em;
}

.productTitleTxt {
    font-size: 1em;
    font-family: 'Inter';
    font-weight: 600;
    color: #3a3e50;
}


.productPrice {
    font-size: 0.9em;
    font-family: 'Inter';
    font-weight: 500;
    color: #3a3e50;
}


.hyperText {
    font-family: 'Inter';
    font-weight: 600;
    color: #008Dab;
    text-decoration: none;
}

.deliveryAddressContainer {
    /*display:none;*/

}
/*Close Account*/
.closedTxt {
    font-size: 0.8em;
    line-height: 173%;
}

.pending-ordersTxt {
    font-size: 0.7em;
    margin-top: 5%;
    color: #EB4747;
}

.blackTxt {
    color: #3A3E50;
}
@media (max-width: 980px) {
    
    .loginCard {
        width:100%;
    }

    .newAccountCrd {
        width:100%;
    }
    .mainContainerNewAccount {
        padding: 9% 5% 27% 5%;
        margin-bottom: 10%;
        overflow-y: hidden;
        overflow-x: hidden;
    }
    .newAccounCrdPersonalDetail {
        width:100%;
    }

    .card__MainTitle {
        line-height: 27px;
    }


    .newAccounCrdPersonalDetail .card__MainTitle {
   
        margin-top: 2%;
    }

    .newAccounCrdPersonalDetail {
        max-height: 100%;
        padding: 4% 4%;
    }

}

@media(max-width:500px) {
    .newAccounCrdPersonalDetail .card__MainTitle {
        padding-left:10%;
    }
    .newAccountCrd .card__MainTitle {
        font-size: 2.4em;
    }
    .newAccounCrdPersonalDetail {
        padding: 5% 9%;
    }
    .mainContainerNewAccount {
        padding: 9% 5% 70% 5%;
    }
    .newAccountCrd {
        padding: 9% 8% 4% 8%;
    }

    .btnUpdateDetails {
        width: 100%;
        padding: 4% 3%;
    }

    #updateUserDetails__Form .form-control {
        font-size: 0.8em;
    }

    .userDetails {
        font-size: 0.7em;
    }

    .userSettings li {
        margin-bottom: 30%;
        font-size: 0.8em;
        width: 120px;
    }

    .otherSettings li {
        font-size: 0.8em;
        margin-top: 44%;
        width: 120px;
    }

    .accountSettingsCont {
        display: none;
    }
    .accountSettingsMobileCont {
        display:block;
    }
    .btnUpdateDetailsStyle {
        padding: 4% 3%;
    }
    .mobileIconsContainer {
        border-bottom: solid slategrey 2px;
        padding-bottom: 7%;
    }
}

